#
# spec file for package python3-textile
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-textile
Version:        2.3.3
Release:        1.1
Summary:        A Python port of Textile, A humane web text generator
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/textile/python-textile
Source:         https://github.com/textile/python-textile/archive/%{version}.tar.gz
Requires:       python3-Pillow
Requires:       python3-html5lib
BuildRequires:  python3-devel
BuildRequires:  python3-pytest-cov
BuildRequires:  python3-pytest-runner
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
Requires:       python3-six
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Patch0:         patch_run_tests.patch
Patch1:         patch_shebang.patch

%description
python-textile is a Python port of Textile, Dean Allen’s humane web text generator.

%prep
%setup -q -n python-textile-%{version}
%patch0
%patch1

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*

%check
python3 setup.py test

%changelog
* Tue Oct 11 2016 sebix+novell.com@sebix.at
- Explicitly require python3-six
* Sat Jul 30 2016 sebix+novell.com@sebix.at
- Initial version
  Upstream changes for 2.3.3:
  - Bugfix: Unicode in URL titles no longer break everything (#30)
  - Display DeprecationWarning when using textile on Python 2.6.
